################################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################
%define cman_major 2
%define cman_minor 0.115

%define my_requires %{_builddir}/my_requires
%define _use_internal_dependency_generator 0

%define buildxen 0

%ifarch i386 x86_64 ia64
%define buildxen 1
%endif

Name: cman
Version: %{cman_major}.%{cman_minor}
Release: 68%{?dist}.3
License: GPL
Group: System Environment/Base
Summary: cman - The Cluster Manager
Obsoletes: fence ccs dlm
Requires: kernel >= 2.6.18-36.el5
#BuildRequires: kernel >= 2.6.16
BuildRequires: glibc-kernheaders
BuildRequires: libxml2-devel
BuildRequires: openais-devel openais
BuildRequires: kernel-headers

%if %{buildxen}
BuildRequires: nss-devel nspr-devel libvirt-devel xen-libs
#Requires: nss nspr libvirt xen xen-libs
%endif

Conflicts: GFS <= 6.0
Conflicts: GFS-modules
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires: openais
Requires: pexpect
Requires: python-pycurl
URL: http://sources.redhat.com/cluster/
Source0: %{name}-%{version}.tar.gz
Patch0: cman-2.0.5-libraryfix.patch
Patch1: cman-makefix.patch
Patch2: cman-plocktemp.patch
Patch3: cman-2.0.14-defaultrun.patch
Patch4: dlm_plock.patch
Patch5: bz513260.patch
Patch6: fence-stdout.patch
Patch7: fence-longopt.patch
Patch8: fence-list.patch
Patch9: fence-ipv6.patch
Patch10: fence-missingopt.patch
Patch11: fence-ipport.patch
Patch12: bz482913.patch
Patch13: bz516085.patch
Patch14: fence_scsi_man_page_fix.patch
Patch15: fence_allow_ip_addresses.patch
Patch16: gfs_controld-GETLK-should-free-unused-resource.patch
Patch17: new_sanbox2_agent.patch
Patch18: fence_scsi_multipath.patch
Patch19: scsi_reserve_handle_failure.patch
Patch20: cman_leave_remove_reduces_quorum.patch
Patch21: cman_allow_qdisk_reregister.patch
Patch22: check_for_virsh_not_xm.patch
Patch23: cman_lcrso_debuginfo.patch
Patch24: qdiskd_self_fence_on_timeout.part1.patch
Patch25: qdiskd_self_fence_on_timeout.part2.patch
Patch26: qdiskd_self_fence_on_timeout.part3.patch
Patch27: qdiskd_self_fence_on_timeout.part4.patch
Patch28: qdiskd_master_wins.patch
Patch29: fence_basic_metadata.patch
Patch30: fence_add_timeout_options.patch
Patch31: fence_improve_metadata.patch
Patch32: fence_add_missing_as_off_option.patch
Patch33: fence_add_retry_on_option.patch
Patch34: fence_correct_timeout_for_bladecenter.patch
Patch35: fence_ipport_default_on_snmp.patch
Patch36: fence_snmp_traceback.patch
Patch37: fence_apc_unable_to_obtain_status.patch
Patch38: fence_accept_unknown_options.patch
Patch39: fence_drac3_detection.patch
Patch40: fence_fix_case_sensitivity.patch
Patch41: fence_deps.patch
Patch42: fence_apc_changed_product_name.patch
Patch43: fence_fix_retry_on_option-part1.patch
Patch44: fence_fix_retry_on_option-part2.patch
Patch45: qdisk_fix_hang.patch
Patch46: fence_ipmilan_read_unitialised_memory.patch
Patch47: scsi_reserve_add_echo_calls.patch
Patch48: scsi_reserve_handle_mpath.part1.patch
Patch49: scsi_reserve_handle_mpath.part2.patch
Patch50: fence_scsi_test_add_debug_info.patch
Patch51: fence_scsi_test_dont_allow_c_and_s_options.patch
Patch52: groupd_clean_up_leaving_failed_node.patch
Patch53: cman_auto_config_consensus.patch
Patch54: fence_tool_add_readconfig_and_dumpconfig.patch
Patch55: groupd_handle_partition_merge.patch
Patch56: fence_egenera_log_file.patch
Patch57: fence_bladecenter_agent.patch
Patch58: fence_apc_snmp_agent.patch
Patch59: fence_change_default_timeout.patch
Patch60: fence_show_version.patch
Patch61: fence_rsb_ends_with_traceback.patch
Patch62: fence_ilo2_mp_agent.patch
Patch63: fence_apc_snmp_default_port.patch
Patch64: fence_vmware_agent.patch
Patch65: fence_vmware_agent_remove_features.patch
Patch66: ccsd_better_network_error_messages.patch
Patch67: fence_virsh_add_missing_state.patch
Patch68: fence_rsa_fails_login.patch
Patch69: fence_scsi_accept_unknown_option.patch
Patch70: groupd_ipc_deadlock_workaround.patch
Patch71: fence_sanbox_vmware_fix_V.patch
Patch72: gfs_controld_lockfs.patch
Patch73: fence_snmp_agents_dont_fail.patch
Patch74: fence_scsi_use_qx_cmds.patch
Patch75: fence_correct_return_codes.patch
Patch76: fence_remove_openssl.patch
Patch77: fence_add_manpage_info.patch
Patch78: fence_manpage_list.patch
Patch79: fence_work_around_bad_headers.patch
Patch80: fence_correct_return_codes-ipmilan.patch
Patch81: fence_add_manpage_info-ipmilan.patch
Patch82: fence_fix_vmware_build.patch
Patch83: fence_wti_support_non_default_ports.patch
Patch84: fence_rsb_force_stdout_close.patch
Patch85: fencing-Add-support-for-identity-files.patch
Patch86: fence_rackswitch-fix-warnings-in-build-process.patch
Patch87: fence_rackswitch-Accept-unknown-options-without-val.patch
Patch88: fence_wti-Add-direct-support-for-WTI-VMR.patch
Patch89: fence_apc-fence_apc-fails-for-some-port-numbers.patch
Patch90: fence_ilo-throws_exception.patch
Patch91: cman_set_fail_recv_const_to_2500.patch
Patch92: reduce_consensus_values.patch
Patch93: add_extended_information_to_group_tool_dump_plocks_gfs.patch
Patch94: cman_make_libcman_dev_zero_fd_close_on_exec.patch
Patch95: cman_fix_consensus_calculation.patch
Patch96: mkqdisk_argument_positioning.patch
Patch97: ccsd_add_error_when_bind_fails.patch
Patch98: update_fence_ack_manual_man_page.patch
Patch99: fencing_Not_all_parameters_in_metadata.patch
Patch100: fence_drac5-synonym-for_modulename.patch
Patch101: fencing-delay_1.patch
Patch102: fencing-delay_2.patch
Patch103: fencing-delay_3.patch
Patch104: fencing-delay_4.patch
Patch105: gfs_controld_set_last_plock_time_for_ownership_operations.patch
Patch106: cman_change_flags_to_be_values_instead_of_bitmasks.patch
Patch107: group_tool-list-more-than-64-groups.patch
Patch108: fenced-use-post_join_delay-after-cluster-join.patch
Patch109: gfs_controld-fix-plock-owner-syncing.patch
Patch110: gfs_controld-fix-plock-owner-in-unmount.patch
Patch111: fence_agents_add_power_wait_to_fence_ipmilan.patch
Patch112: fence_rhevm.patch
Patch113: fence_cisco_ucs.patch
Patch114: gfs2_mount_fails_incorrectly_after_correctly_failed_second_mount_attempt.patch
Patch115: make_qdiskd_heuristics_time_out.patch
Patch116: fence_rhevm-fix_build_system.patch
Patch117: fence_cisco_ucs-library_path.patch
Patch118: fence_ifmib.patch
Patch119: fence_scsi_test_rewrite_to_more_accurately_test.patch
Patch120: fence_scsi_test_add_man_page_to_makefile.patch
Patch121: fix_fail_recv_const_length_calculation.patch
Patch122: fence_egenera_revert.patch
Patch123: fence_scsi_test_add_clear_action.patch
Patch124: fence_scsi_test_document_clear_action_in_man_page.patch
Patch125: fence_egenera_log_file2.patch
Patch126: fence_agents_add_man_pages_for_ucs,_ifmib,_rhevm.patch
Patch127: allow_ccs_tool_to_use_alternate_base_ports.patch
Patch128: ccs_update_manual_page_for_ccs_tool.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
cman - The Cluster Manager

%package devel
Group: Development/Libraries
Summary: cman cluster manager development package
Requires: cman = %{version}-%{release}

%description devel
cman - The Cluster Manager

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .libraryfix
%patch1 -p1 -b .makefix
%patch2 -p1 -b .plock
%patch3 -p1 -b .defaultrun
%patch4 -p1 -b .dlm_plock
%patch5 -p1 -b .bz513260
%patch6 -p1 -b .fence-stdout
%patch7 -p1 -b .fence-longopt
%patch8 -p1 -b .list
%patch9 -p1 -b .ipv6
%patch10 -p1 -b .missingopt
%patch11 -p1 -b .ipport
%patch12 -p1 -b .bz482913
%patch13 -p1 -b .bz516085
%patch14 -p1 -b .fence_scsi_man_page_fix
%patch15 -p1 -b .fence_allow_ip_addresses
%patch16 -p1 -b .gfs_controld-GETLK-should-free-unused-resource
%patch17 -p1 -b .new_sanbox2_agent
%patch18 -p1 -b .scsi_reserve_handle_failure
%patch19 -p1 -b .fence_scsi_multipath
%patch20 -p1 -b .cman_leave_remove_reduces_quorum
%patch21 -p1 -b .cman_allow_qdisk_reregister
%patch22 -p1 -b .check_for_virsh_not_xm
%patch23 -p1 -b .cman_lcrso_debuginfo
%patch24 -p1 -b .qdiskd_self_fence_on_timeout.part1
%patch25 -p1 -b .qdiskd_self_fence_on_timeout.part2
%patch26 -p1 -b .qdiskd_self_fence_on_timeout.part3
%patch27 -p1 -b .qdiskd_self_fence_on_timeout.part4
%patch28 -p1 -b .qdiskd_master_wins
%patch29 -p1 -b .fence_basic_metadata
%patch30 -p1 -b .fence_add_timeout_options
%patch31 -p1 -b .fence_improve_metadata
%patch32 -p1 -b .add_missing_as_off_option
%patch33 -p1 -b .add_retry_on_option
%patch34 -p1 -b .correct_timeout_for_bladecenter
%patch35 -p1 -b .ipport_default_on_snmp
%patch36 -p1 -b .fence_snmp_traceback
%patch37 -p1 -b .fence_apc_unable_to_obtain_status
%patch38 -p1 -b .fence_accept_unknown_options
%patch39 -p1 -b .fence_drac3_detection
%patch40 -p1 -b .fence_fix_case_sensitivity
%patch41 -p1 -b .fence_deps
%patch42 -p1 -b .fence_apc_changed_product_name
%patch43 -p1 -b .fence_fix_retry_on_option_part1
%patch44 -p1 -b .fence_fix_retry_on_option_part2
%patch45 -p1 -b .qdisk_fix_hang
%patch46 -p1 -b .fence_ipmilan_read_unitialised_memory
%patch47 -p1 -b .scsi_reserve_add_echo_calls
%patch48 -p1 -b .scsi_reserve_handle_mpath.part1
%patch49 -p1 -b .scsi_reserve_handle_mpath.part2
%patch50 -p1 -b .fence_scsi_test_add_debug_info
%patch51 -p1 -b .fence_scsi_test_dont_allow_c_and_s_options
%patch52 -p1 -b .groupd_clean_up_leaving_failed_node
%patch53 -p1 -b .cman_auto_config_consensus
%patch54 -p1 -b .fence_tool_add_readconfig_and_dumpconfig
%patch55 -p1 -b .groupd_handle_partition_merge
%patch56 -p1 -b .fence_egenera_log_file
%patch57 -p1 -b .fence_bladecenter_agent
%patch58 -p1 -b .fence_apc_snmp_agent
%patch59 -p1 -b .fence_change_default_timeout
%patch60 -p1 -b .fence_show_version
%patch61 -p1 -b .fence_rsb_ends_with_traceback
%patch62 -p1 -b .fence_ilo2_mp_agent
%patch63 -p1 -b .fence_apc_snmp_default_port
%patch64 -p1 -b .fence_vmware_agent
%patch65 -p1 -b .fence_vmware_agent_remove_features
%patch66 -p1 -b .ccsd_better_network_error_messages
%patch67 -p1 -b .fence_virsh_add_missing_state
%patch68 -p1 -b .fence_rsa_fails_login
%patch69 -p1 -b .fence_scsi_accept_unknown_option
%patch70 -p1 -b .groupd_ipc_deadlock_workaround
%patch71 -p1 -b .fence_sanbox_vmware_fix_V
%patch72 -p1 -b .gfs_controld_lockfs
%patch73 -p1 -b .fence_snmp_agents_dont_fail
%patch74 -p1 -b .fence_scsi_use_qx_cmds.patch
%patch75 -p1 -b .fence_correct_return_codes
%patch76 -p1 -b .fence_remove_openssl
%patch77 -p1 -b .fence_add_manpage_info
%patch78 -p1 -b .fence_manpage_list
%patch79 -p1 -b .fence_work_around_bad_headers
%patch80 -p1 -b .fence_correct_return_codes-ipmilan
%patch81 -p1 -b .fence_add_manpage_info-ipmilan
%patch82 -p1 -b .fence_fix_vmware_build
%patch83 -p1 -b .fence_wti_support_non_default_ports
%patch84 -p1 -b .fence_rsb_force_stdout_close
%patch85 -p1 -b .fencing-Add-support-for-identity-files
%patch86 -p1 -b .fence_rackswitch-fix-warnings-in-build-process
%patch87 -p1 -b .fence_rackswitch-Accept-unknown-options-without-val
%patch88 -p1 -b .fence_wti-Add-direct-support-for-WTI-VMR
%patch89 -p1 -b .fence_apc-fence_apc-fails-for-some-port-numbers
%patch90 -p1 -b .fence_ilo-throws_exception
%patch91 -p1 -b .cman_set_fail_recv_const_to_2500
%patch92 -p1 -b .reduce_consensus_values.patch
%patch93 -p1 -b .add_extended_information_to_group_tool_dump_plocks_gfs
%patch94 -p1 -b .cman_make_libcman_dev_zero_fd_close_on_exec
%patch95 -p1 -b .cman_fix_consensus_calculation
%patch96 -p1 -b .mkqdisk_argument_positioning
%patch97 -p1 -b .ccsd_add_error_when_bind_fails
%patch98 -p1 -b .update_fence_ack_manual_man_page
%patch99 -p1 -b fencing_Not_all_parameters_in_metadata
%patch100 -p1 -b .fence_drac5-synonym-for_modulename
%patch101 -p1 -b .fencing-delay_1
%patch102 -p1 -b .fencing-delay_2
%patch103 -p1 -b .fencing-delay_3
%patch104 -p1 -b .fencing-delay_4
%patch105 -p1 -b .gfs_controld_set_last_plock_time_for_ownership_operations
%patch106 -p1 -b .cman_change_flags_to_be_values_instead_of_bitmasks
%patch107 -p1 -b .group_tool-list-more-than-64-groups.patch
%patch108 -p1 -b .fenced-use-post_join_delay-after-cluster-join.patch
%patch109 -p1 -b .gfs_controld-fix-plock-owner-syncing.patch
%patch110 -p1 -b .gfs_controld-fix-plock-owner-in-unmount.patch
%patch111 -p1 -b .fence_agents_add_power_wait_to_fence_ipmilan
%patch112 -p1 -b .fence_rhevm
%patch113 -p1 -b .fence_cisco_ucs
%patch114 -p1 -b .gfs2_mount_fails_incorrectly_after_correctly_failed_second_mount_attempt
%patch115 -p1 -b .make_qdiskd_heuristics_time_out
%patch116 -p1 -b .fence_rhevm-fix_build_system
%patch117 -p1 -b .fence_cisco_ucs-library_path.patch
%patch118 -p1 -b .fence_ifmib
%patch119 -p1 -b .fence_scsi_test_rewrite_to_more_accurately_test
%patch120 -p1 -b .fence_scsi_test_add_man_page_to_makefile
%patch121 -p1 -b .fix_fail_recv_const_length_calculation
%patch122 -p1 -b .fence_egenera_revert
%patch123 -p1 -b .fence_scsi_test_add_clear_action
%patch124 -p1 -b .fence_scsi_test_document_clear_action_in_man_page
%patch125 -p1 -b .fence_egenera_log_file2
%patch126 -p1 -b .fence_agents_add_man_pages_for_ucs,_ifmib,_rhevm
%patch127 -p1 -b .allow_ccs_tool_to_use_alternate_base_ports
%patch128 -p1 -b .ccs_update_manual_page_for_ccs_tool

%{__cat} <<EOF >%{my_requires}
#!/bin/sh
%{__find_requires} | grep -v '^libvirt'
exit 0
EOF
chmod +x %{my_requires}
%define __find_requires %{my_requires}

%build
TOPDIR=`pwd`

cd ccs ; ./configure --libdir=%{_libdir}; cd ..
cd dlm ; ./configure --kernel_src=/usr/ --libdir=%{_libdir}; cd ..
cd cman; ./configure --ccsincdir=${TOPDIR}/ccs/lib --ccslibdir=${TOPDIR}/ccs/lib --libdir=%{_libdir}  ; cd ..
cd group; ./configure --kernel_src=/usr/ --libdir=%{_libdir} --cmanlibdir=${TOPDIR}/cman/lib; cd ..

%if %{buildxen}
cd fence; ./configure --enable_xen --ccslibdir=${TOPDIR}/ccs/lib --ccsincdir=${TOPDIR}/ccs/lib --cmanincdir=${TOPDIR}/cman/lib --libdir=%{_libdir}; cd ..
%else
cd fence; ./configure --ccslibdir=${TOPDIR}/ccs/lib --ccsincdir=${TOPDIR}/ccs/lib --cmanincdir=${TOPDIR}/cman/lib --libdir=%{_libdir}; cd ..
%endif

ls -l /usr/lib/
ls -l /

for dir in ccs cman dlm fence group; do
  cd $dir
  sed -i '/RELEASE_MAJOR/s/= .*/= %{cman_major}/' make/defines.mk
  sed -i '/RELEASE_MINOR/s/= .*/= %{cman_minor}/' make/defines.mk
  sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
  cd ..
done


for dir in 'cman/lib' ccs cman dlm group fence; do
  cd $dir
  make
  cd $TOPDIR
done

%install
TOPDIR=`pwd`
rm -rf $RPM_BUILD_ROOT
for dir in ccs cman dlm fence group; do
  cd $dir
  make install DESTDIR=$RPM_BUILD_ROOT
  cd $TOPDIR
done

mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/
mkdir -p $RPM_BUILD_ROOT/var/run/cluster
mkdir -p $RPM_BUILD_ROOT/etc/cluster

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cman
/sbin/chkconfig --add scsi_reserve
/sbin/chkconfig --add qdiskd

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del cman
	/sbin/chkconfig --del scsi_reserve
	/sbin/chkconfig --del qdiskd
fi

%files
%defattr(-,root,root,-)
/sbin/*
/usr/sbin/*
/usr/lib/fence
/usr/lib/fence/*
/etc/rc.d/init.d/*
/usr/libexec/*
/etc/udev/rules.d/51-dlm.rules
%{_libdir}/*.so*
%{_mandir}/*/*
/usr/share/snmp/mibs/powernet369.mib
%dir /var/run/cluster
%dir /etc/cluster

%files devel
%defattr(-,root,root,-)
/usr/include/*
%{_libdir}/*.a

%changelog
* Tue Apr 26 2011 Lon Hohberger <lhh@redhat.com> - 2.0.115-68.el5_6.3
- ccs: Update manual page for ccs_tool
  (ccs_update_manual_page_for_ccs_tool.patch)
  Resolves: rhbz#677814

* Mon Mar 28 2011 Lon Hohberger <lhh@redhat.com> - 2.0.115-68.el5_6.2
- ccs: Allow ccs_tool to use alternate base ports
  (allow_ccs_tool_to_use_alternate_base_ports.patch)
  Resolves: rhbz#677814

* Mon Dec 20 2010 Lon Hohberger <lhh@redhat.com> 2.0.115-68.el5_6.1
- fence-agents: Add man pages for ucs, ifmib, rhevm
  (fence_agents_add_man_pages_for_ucs,_ifmib,_rhevm.patch)
  Resolves: rhbz#664381

* Fri Dec 10 2010 Lon Hohberger <lhh@redhat.com> 2.0.115-68
- fence_egenera: Fix log file location
  (fence_egenera_log_file2.patch)
  Resolves: rhbz#659090

* Tue Dec 07 2010 Lon Hohberger <lhh@redhat.com> 2.0.115-67
- fence_scsi_test: add 'clear' action
  (fence_scsi_test_add_clear_action.patch)
  fence_scsi_test: document 'clear' action in man page.
  (fence_scsi_test_document_clear_action_in_man_page.patch)
  Resolves: rhbz#603838

* Thu Dec 02 2010 Marek Grac <mgrac@redhat.com> 2.0.115-66
- cman: ownership of /var/log/cluster clobbers log files
  (fence_egenera_revert.patch)
  Resolves: rhbz#659090

* Tue Nov 30 2010 Lon Hohberger <lhh@redhat.com> 2.0.115-64
- cman: Fix fail_recv_const length calculation
  (fix_fail_recv_const_length_calculation.patch)
  Resolves: rhbz#587080
- Replace incorrect patch for "ccsd: Add error when bind fails" 
  (ccsd_add_error_when_bind_fails.patch)
  Resolves: rhbz#573996

* Fri Nov 05 2010 Lon Hohberger <lhh@redhat.com> 2.0.115-63
- Updated patch for mkqdisk argument positioning
  (mkqdisk_argument_positioning.patch)
  Resolves: rhbz#555246

* Tue Nov 02 2010 Lon Hohberger <lhh@redhat.com> 2.0.115-62
- fence_scsi_test: Add man page to Makefile.
  (fence_scsi_test_add_man_page_to_makefile.patch)
  Resolves: rhbz#603838

* Wed Sep 29 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-61
- Enable fence_cisco_ucs & fence_rhevm
  Resolves: rhbz#595385 rhbz#579859

* Mon Sep 27 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-60
- Remove python-pycurl dependency
  Related: rhbz#595385 rhbz#579859

* Mon Sep 27 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-59
- fence_scsi_test: rewrite to more accurately test
  (fence_scsi_test_rewrite_to_more_accurately_test.patch)
  Resolves: rhbz#603838

* Mon Sep 27 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-58
- Disable fence_cisco_ucs & fence_rhevm since they depend
  on a package which is not available at this point.
  Related: rhbz#595385 rhbz#579859

* Mon Sep 27 2010 Marek Grac <mgrac@redhat.com> - 2.0.115-56
- fence agents: fix build system for fence_rhevm
  (fence_rhevm-fix_build_system.patch)
  Resolves: rhbz#595385
- fence agents: fix path to library
  (fence_cisco_ucs-library_path.patch)
  Resolves: rhbz#579859
- fence agents: new fence agent for IF-MIB
  (fence_ifmib.patch)
  Resolves: rhbz#572863

* Fri Sep 24 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-55
- GFS2 mount fails incorrectly after correctly failed second-mount attempt
  (gfs2_mount_fails_incorrectly_after_correctly_failed_second_mount_attempt.patch)
  Resolves: rhbz#559735
- cman: Make qdiskd heuristics time out
  (make_qdiskd_heuristics_time_out.patch)
  Resolves: rhbz#589266

* Fri Sep 24 2010 Marek Grac <mgrac@redhat.com> - 2.0.115-54
- fence agents: New fence agent for RHEV-M REST API
  (fence_rhevm.patch)
  Resolves: rhbz#595385
- fence agents: New fence agent for Cisco UCS
  (fence_cisco_ucs.patch)
  Resolves: rhbz#579859
- New dependency added: python-pycurl

* Fri Sep 17 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-53
- Fence agents: Rename power-wait to power_wait and add
  help information, replacing previous patch.
  (fence_agents_add_power_wait_to_fence_ipmilan.patch)
  Resolves: rhbz#548575

* Thu Sep 16 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-52
- Fence agents: add power-wait to fence_ipmilan for iLO3 devices
  (fence_agents_add_power_wait_to_fence_ipmilan.patch)
  Resolves: rhbz#548575

* Wed Sep 15 2010 David Teigland <teigland@redhat.com> - 2.0.115-51
- fenced: use post_join_delay after cluster join
  (fenced-use-post_join_delay-after-cluster-join.patch)
  Resolves: rhbz#575952
- gfs_controld: fix plock owner syncing
  (gfs_controld-fix-plock-owner-syncing.patch)
  Resolves: rhbz#624156
- gfs_controld: fix plock owner in unmount
  (gfs_controld-fix-plock-owner-in-unmount.patch)
  Resolves: rhbz#624554 

* Wed Aug 11 2010 David Teigland <teigland@redhat.com> - 2.0.115-50
- group_tool: list more than 64 groups
  (group_tool-list-more-than-64-groups.patch)
  Resolves: rhbz#561509

* Tue Aug 10 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-49
- cman: Change flags to be values instead of bitmasks
  (cman_change_flags_to_be_values_instead_of_bitmasks.patch)
  Resolves: rhbz#595394

* Tue Aug 10 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-48
- gfs_controld: set last_plock_time for ownership operations
  (gfs_controld_set_last_plock_time_for_ownership_operations.patch)
  Resolves: rhbz#578632

* Mon Aug 02 2010 Marek Grac <mgrac@redhat.com> - 2.0.115-47
- Method to cause one node to delay fencing in a cluster
  (fencing-delay_1.patch)
  (fencing-delay_2.patch)
  (fencing-delay_3.patch)
  (fencing-delay_4.patch)
  Resolves: rhbz#613064

* Mon Aug 02 2010 Marek Grac <mgrac@redhat.com> - 2.0.115-46
- Not all parameters appear in metadata
  (fencing_Not_all_parameters_in_metadata.patch)
  Resolves: rhbz#619034
- make "port" a synonym of "module_name" for drac5 
  (fence_drac5-synonym-for_modulename.patch)
  Resolves: rhbz#619776
- Return codes of fencing agent 
  (fence_correct_return_codes.patch)
  (fence_correct_return_codes-ipmilan.patch)
  Resolves: rhbz#583034

* Thu Jul 29 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-45
- qdisk: mkqdisk argument positioning
  (mkqdisk_argument_positioning.patch)
  Resolves: rhbz#555246
- ccsd: Add error when bind fails
  (ccsd_add_error_when_bind_fails.patch)
  Resolves: rhbz#573996
- fence-agents: Update fence_ack_manual man page
  (update_fence_ack_manual_man_page.patch)
  Resolves: rhbz#578604

* Wed Jul 28 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-44
- reorder patches
- gfs_controld: Add extended information to 'group_tool dump plocks' (gfs)
  (add_extended_information_to_group_tool_dump_plocks_gfs.patch)
  Resolves: rhbz#514264
- cman: make libcman /dev/zero fd close-on-exec
  (cman_make_libcman_dev_zero_fd_close_on_exec.patch)
  Resolves: rhbz#585218
- cman: set fail_recv_const to 2500
  (cman_set_fail_recv_const_to_2500.patch)
  Resolves: rhbz#587080
- cman: fix consensus calculation
  (cman_fix_consensus_calculation.patch)
  Resolves: rhbz#611391

* Wed Jul 27 2010 Christine Caulfield <ccaulfie@redhat.com> 2.0.115-43
- Reduce corosync consensus values
- Resolves: rhbz#611391

* Wed Jul 21 2010 Marek Grac <mgrac@redhat.com> 2.0.115-42
- fence_egenera: possible symlink vulnerability
- fencing: Some fencing agents do not support login using keys
- Resolves: rhbz#519682 rhbz#582334

* Fri Jul 16 2010 Marek Grac <mgrac@redhat.com> 2.0.115-41
- fence_ilo: will throw exception if user does not 
  have power priviledges
- Resolves: rhbz#576176

* Wed Jun 23 2010 Marek Grac <mgrac@redhat.com> 2.0.115-40
- fence_rsb: force stdout close for fence_rsb
- fence_rackswitch: fix warnings in build process
- fence_rackswitch: should accept unknown parameters
- fence_wti: add direct support for WTI VMR
- fence_apc: fails for some port numbers 
- Resolves: rhbz#583045 rhbz#578615 rhbz#606315 rhbz#607265

* Fri Jun 18 2010 Marek Grac <mgrac@redhat.com>
- fence_rsb: Force stdout close 
- Resolves: rhbz#583040

* Fri Jun 18 2010 Marek Grac <mgrac@redhat.com> 2.0.115-39
- fence_vmware: fix building for fence_vmware_helper.pl
- fence_wti: support non-default TCP ports for telnet/ssh
- Resolves: rhbz#590304 rhbz#572996

* Fri Apr 23 2010 Marek Grac <mgrac@redhat.com> 
- fence_ipmilan: correct return codes + manual page info
- Resolves: rhbz#583034 rhbz#488959 (both need additional patches)

* Wed Apr 21 2010 Lon Hohberger <lhh@redhat.com> - 2.0.115-37
- fencing: work around bad nss/nspr headers which contain
  non-ANSI prototypes
- Resolves: rhbz#575157

* Tue Apr 20 2010 Marek Grac <mgrac@redhat.com> - 2.0.115-36
- fencing: correct return codes (perl + python based agents)
- fence_ilo: remove import of openSSL into fence agent
- fencing: preliminary support for generating manual pages
- Resolves: rhbz#583049 rhbz#583053
- Resolves: rhbz#583034 rhbz#488959 (both need additional patches)

* Thu Apr 08 2010 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-35
- fence_scsi: replace open3 calls with qx commands
- Resolves: rhbz#564468

* Thu Mar 16 2010 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-34
- fencing: Fix fence_snmp so it returns an error code if the passphrase
  is too short
- Resolves: rhbz#573834

* Wed Mar 10 2010 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-33
- cman: gfs_controld dm suspend hangs withdrawn GFS file system
- Resolves: rhbz#570530

* Wed Mar 10 2010 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-32
- fence: Problems with -V in fence_sanbox and fence_vmware
- Resolves: rhbz#549113

* Mon Feb 15 2010 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-31
- cman/groupd/dlm_controld/gfs_controld: work around ipc deadlock
- Resolves: rhbz#561892

* Wed Feb 10 2010 Marek Grac <mgrac@redhat.com> - 2.0.115-30
- fence_scsi does not accept unknown options on STDIN
- fence_scsi man page contains invalid option
- Resolves: rhbz#515731 rhbz#532920

* Tue Dec 22 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-29
- fence_rsa fails to login with new RSA II firmware
- Resolves: rhbz#549473

* Tue Dec 22 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-28
- add missing state to fence_virsh
- Resolves: rhbz#544664

* Mon Dec 21 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-27
- Improve error messges from ccsd on network failure
- Resolves: rhbz#517399

* Sun Dec 20 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-26
- New fence agent for VMWare (TechPreview)
- Fence agent for HP iLO2 MP
- Fence agent for RSB ends with traceback
- Resolves: rhbz#508722 rhbz#545054 rhbz#548577

* Sun Dec 20 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-25
- fence_egenera symlink attack vulnerability
- Security feature for SNMP based agent: apc_snmp & ibmblade
- Change default timeout values for various fence agents
- Version is not shown in several fence agents
- Resolves: rhbz#519682 rhbz#532922 rhbz#546340 rhbz#549124
- Resolves: rhbz#549113

* Wed Dec 16 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-24
- cman: automatically configure consensus based on token timeout
- Add readconfig & dumpconfig to fence_tool
- Make groupd handle partition merges
- Resolves: rhbz#544482 rhbz#546082 rhbz#514662

* Thu Dec 10 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-23
- groupd: clean up leaving failed node
- Resolves: rhbz#521817

* Tue Nov 17 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-22
- scsi_reserve should always echo after failure
- scsi_reserve should handle multipath with partitions
- fence_scsi_test: add debug information
- fence_scsi_test should not allow -c and -s options together
- Resolves: rhbz#514260 rhbz#516625 rhbz#516763 rhbz#528832

* Thu Nov 12 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-21
- fence: Fix fence_ipmilan read from unitialized memory
- Resolves: rhbz#532138

* Thu Nov 12 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-20
- qdiskd: Make qdiskd stop crying wolf
- Resolves: rhbz#532773

* Wed Nov 11 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-19
- fence: Fencing fails when used without telnet or ssh
- fence: APC changed product name (MasterSwitch -> Switched Rack PDU)
- fence: fix invalid initalization introduced by retry-on option
- Resolves: rhbz#512343 rhbz#447481

* Mon Nov 9 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-18
- fence: Broken device detection for DRAC3 ERA/O
- fence: Fix case sensitivities in action parameter
- Resolves: rhbz#489809 rhbz#528938

* Mon Nov 9 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-17
- fence: fencing_snmp fails on all operations & traceback fix
- fence: accept unknown options from standard input
- fence: fence_apc unable to obtain plug status
- Resolves: rhbz#528916 rhbz#532916 rhbz#532920

* Fri Nov 6 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-16
- fence: timeout options added 
- fence: better XML generation for metadata (needed for default values)
- fence: better default timeout for bladecenter
- fence: retry-on option used in iLO fence agent
- fence: add missing-as-off option (missing blade/device is always OFF)
- Resolves: rhbz#507514 rhbz#526806 rhbz#248006

* Wed Nov 4 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-15
- make qdiskd "master-wins" node work
- make qdisk self-fence system if write errors take longer than interval*tko
- Resolves: rhbz#511113 rhbz#372901

* Thu Oct 29 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-14
- Make service_cman.lcrso executable, so that RPM adds it to the debuginfo pkg
- Resolves: rhbz#511346

* Wed Oct 28 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-13
- Don't check for xm command in cman init script, virsh is more appropriate
- Resolves: rhbz#516111

* Mon Oct 26 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-12
- Allow re-registering of a quorum device
- Resolves: rhbz#525270

* Wed Oct 14 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-11
- Fix fence_scsi, multipath and persistent reservations
- scsi_reserve now handles failures
- cman_tool leave remove reduces quorum when no services are connected
- Resolves: rhbz#514260 rhbz#516625 rhbz#515446

* Fri Oct 9 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-10
- fence_sanbox2 unable to retrieve status
- Resolves: rhbz#512947

* Tue Oct 6 2009 David Teigland <teigland@redhat.com> - 2.0.115-9
- gfs_controld: GETLK should free unused resource
- Resolves: rhbz#513285

* Tue Oct 6 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-8
- fence: Allow IP addresses as node names
- Resolves: rhbz#504158

* Mon Oct 5 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-7
- fence_scsi man page contains invalid option
- Resolves: rhbz#515731

* Wed Sep 2 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-6
- fence_scsi support for 2 node clusters
- Resolves: rhbz#516085

* Tue Sep 1 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-5
- Support for power cycle in fence ipmi
- Resolves: rhbz#482913

* Mon Aug 31 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-4
- Add option 'list devices' for fencing agents
- Add support for switching IPv4/IPv6
- Fence agent ends with traceback if option is missing
- Add option to set port for SSH/telnet
- Resolves: rhbz#519697 rhbz#520458 rhbz#506928 rhbz#506928

* Fri Aug 28 2009 Marek Grac <mgrac@redhat.com> - 2.0.115-3
- Force stdout close for fencing agents
- Support for long options 
- Resolves: rhbz#518622 rhbz#519670

* Fri Aug 14 2009 Christine Caulfield <ccaulfie@redhat.com> - 2.0.115-2
- Fix a situation where cman could kill the wrong nodes
- Resolves: rhbz#513260

* Wed Aug 05 2009 Chris Feist <cfeist@redhat.com> - 2.0.115-1
- RSA II fencing agent has been fixed.
- Resolves: rhbz#493802

* Mon Aug 03 2009 Chris Feist <cfeist@redhat.com> - 2.0.114-1
- local variable 'verbose_filename' referenced before assignment has been fixed
- RSA II fencing agent has been fixed.
- Resolves: rhbz#493802 rhbz#514758

* Tue Jul 28 2009 Chris Feist <cfeist@redhat.com> - 2.0.113-1
- Limitations with 2-node fence_scsi are now properly documented in the man
  page.
- Resolves: rhbz#512998

* Mon Jul 27 2009 Chris Feist <cfeist@redhat.com> - 2.0.112-1
- The pexpect exception is now properly checked in fence agents.
- Resolves: rhbz#501586

* Fri Jul 22 2009 Chris Feist <cfeist@redhat.com> - 2.0.111-1
- cman_tool leave remove does now properly reduces quorum.
- Resolves: rhbz#505258

* Fri Jun 25 2009 Chris Feist <cfeist@redhat.com> - 2.0.110-1
- Updated fence_lpar man page to remove options that do not yet exist.
- Resolves: rhbz#498045

* Thu Jun 18 2009 Chris Feist <cfeist@redhat.com> - 2.0.108-1
- A semaphore leak in cman has been fixed.
- Resolves: rhbz#505594

* Tue Jun 16 2009 Chris Feist <cfeist@redhat.cmo> - 2.0.107-1
- Added man page for lpar fencing agent (fence_lpar). 
- Resolves: rhbz#498045

* Mon Jun 15 2009 Chris Feist <cfeist@redhat.cmo> - 2.0.106-1
- The lssyscfg command can take longer than the shell timeout which will
  cause fencing to fail, we now wait longer for the lssyscfg command to
  complete.
- Resolves: rhbz#504705

* Mon Jun 08 2009 Chris Feist <cfeist@redhat.com> - 2.0.105-1
- The fencing agents no longer fail with pexpect exceptions.
- Resolves: rhbz#501586

* Tue Jun 02 2009 Chris Feist <cfeist@redhat.com> - 2.0.104-1
- Broadcast communcations are now possible with cman
- fence_lpar can now login to IVM systems
- Resolves: rhbz#502674 rhbz#492808

* Thu May 21 2009 Chris Feist <cfeist@redhat.com> - 2.0.103-1
- fence_apc no longer fails with a pexpect exception
- symlink vulnerabilities in fance_apc_snmp were fixed
- The virsh fencing agent was added.
- Resolves: rhbz#496629 rhbz#498952 rhbz#501586

* Wed May 20 2009 Chris Feist <cfeist@redhat.com> - 2.0.102-1
- Correct return code is checked during disk scanning check.
- Resolves: rhbz#484956

* Wed May 13 2009 Chris Feist <cfeist@redhat.com> - 2.0.101-1
- The SCSI fence agent now verifies that sg_persist is installed properly.
- The DRAC5 fencing agent now properly handles a modulename.
- QDisk now logs warning messages if it appears it's I/O to shared storage
  is hung.
- Resolves: rhbz#496724 rhbz#500450 rhbz#500567

* Tue May 12 2009 Chris Feist <cfeist@redhat.com> - 2.0.100-1
- Support has been added for ePowerSwitch 8+ devices
- cluster.conf files can now have more than 52 entries inside a block inside
  the <cman> block
- The output of the group_tool dump sub commands are no longer NULL padded.
- Using device="" instead of label="" no longer causes qdiskd to incorrectly
  exit
- The IPMI fencing agent has been modified to timeout after 10 seconds.  It is
  also now possible to specify a different timeout with the '-t' option.
- The IPMI fencing agent now allows punctuation in the password
- Quickly starting and stopping the cman service no longer causes the cluster
  membership to become inconsistent across the cluster
- An issue with lock syncing causing 'receive_own from ...' errors in syslog
  has been fixed
- An issue which caused gfs_controld to segfault when mounting hundreds of
  filesystems has been fixed
- The LPAR fencing agent now properly reports status when an LPAR is in
  Open Firmware
- The APC SNMP fencing agent now properly recognizes outletStatusOn and
  outletStatusOff returns codes from the SNMP agent
- WTI Fencing agent can now connect to fencing devices with no password
- The rps-10 fencing agent now properly performs a reboot when run with no
  options.
- The IPMI fencing agent now supports different cipher types with the '-C'
  option
- Qdisk now properly scans devices and partitions
- Added support for LPAR/HMC v3
- cman now checks to see if a new node has state to prevent killing the first
  node during cluster setup
- service qdiskd start now works properly
- The McData fence agent now works properly with the Sphereon 4500 model
- The Egenera fence agent can now specify an ssh login name
- APC Fence agent works with non-admin accounts with firmware 3.5.x
- fence_xvmd now tries two methods to reboot a virtual machine
- Connections to openais are now allowed from unprivileged CPG clients with
  user and group of 'ais'
- Support has been added for Cisco 9124/9134 SAN switches
- groupd no longer allows the default fence domain to be '0' which would cause
  rgmanager to hang
- The RSA fence agent now supports ssh enabled RSA II devices
- DRAC fence agent now works with iDRAC on the Dell M600 Blade Chassis
- fence_drac5 now shows proper usage instructions
- cman no longer uses the wrong node name when getnameinfo() fails
- The SCSI fence agent now verifies that sg_persist is installed properly
- Resolves: rhbz#467112 rhbz#468966 rhbz#470318 rhbz#276541 rhbz#447964 rhbz#472786 rhbz#474163 rhbz#480401 rhbz#481566 rhbz#484095 rhbz#481664 rhbz#322291 rhbz#447497 rhbz#484956 rhbz#485700 rhbz#485026 rhbz#485199 rhbz#470983 rhbz#488958 rhbz#487501 rhbz#491640 rhbz#480178 rhbz#485469 rhbz#480836 rhbz#493207 rhbz#493802 rhbz#462390 rhbz#498329 rhbz#488565 rhbz#499871

* Wed Dec 03 2008 Chris Feist <cfeist@redhat.com> - 2.0.98-1
- Fixed failures with python telnet fencing agent.
- Resolves: rhbz#469066

* Mon Nov 10 2008 Chris Feist <cfeist@redhat.com> - 2.0.97-1
- Qdiskd no longer exits when using device=''
- Resolves: rbhz#470553

* Mon Nov 06 2008 Chris Feist <cfeist@redhat.com> - 2.0.96-1
- WTI fencing agent no longer powers off/on power if it is unable to get
  status.
- Resolves: rhbz#468904

* Mon Oct 20 2008 Chris Feist <cfeist@redhat.com> - 2.0.95-1
- Fix fence_xvmd trying to read wrong args from ccs

* Mon Sep 29 2008 Chris Feist <cfeist@redhat.com> - 2.0.94-1
- Fix for apc fence agent to properly set the default switch to '1'.
- Resolves: rhbz#290231

* Thu Sep 18 2008 Chris Feist <cfeist@redhat.com> - 2.0.93-1
- Fixed issue with fence_scsi failing to clear the key_list after use.
- Resolves: rhbz#462628

* Mon Sep 15 2008 Chris Feist <cfeist@redhat.com> - 2.0.92-1
- We now install the vmware fence agents properly.

* Mon Sep 15 2008 Chris Feist <cfeist@redhat.com> - 2.0.90-1
- Updated groupd manpage with information about '-s' option.

* Thu Sep 11 2008 Chris Feist <cfeist@redhat.com> - 2.0.89-1
- Fixed issue with fence_apc failing with a pexpect exception.
- Added fence agent for VMware ESX.
- Additional logging information has been added by fence_scsi.
- groupd now detects dead daemons and removes their nodes from the cluster.
- A network interface selection option has been added for fence_xvmd.
- Resolves: rhbz#460054 rhbz#251048 rhbz#460909 rhbz#318571 rhbz#457104

* Fri Sep 05 2008 Chris Feist <cfeist@redhat.com> - 2.0.88-1
- Fix cman_tool nodes -a.
- nolock gfs filesystems are ignored in the groupd startup.
- skip_undefined option added for fenced.
- groupd improved to better handle upgrades.
- man pages for fence agents have been updated.
- LPAR/HMC fence agent updated to fix state detection.
- New option added to fence_tool to delay before join.
- fence_tool -m option has been added for 2 node clusters.
- group_tool ls is now scriptable.
- Fixed qdiskd file descriptor leak.
- qdiskd can no longer updated cman if the disk is unavailable.
- qdisk no longer freezes cluster when FC cable is unplugged
- Resolves: rhbz#454401 rhbz#315741 rhbz#459127 rhbz#457104 rhbz#448043 rhbz#460190 rhbz#460190 rhbz#459754 rhbz#459678 rhbz#460645 rhbz#460937 rhbz#442541

* Thu Jul 31 2008 Chris Feist <cfeist@redhat.com> - 2.0.87-3
- An option to the init script has been added to prevent joining to the fence
  domain.
- stop_cman="1" now works if heuristics fail during initialization.
- qdiskd now works with block devices which are not in /proc/partitions
- Quorum device info can now be displayed with 'cman_tool status'.
- A dirty node is now prevented from joining the cman cluster.
- A bug which caused "Node X is undead" error messages to be printed is fixed.
- When groupd starts up it now ignores nolock file systems.
- cman is now only notified that a fence has occured when all devices have completed
  successfully.
- plocks are now read from dlm or lock_dlm.
- Support for a 24-port APC fencing device has been added.
- gfs_controld now ignores the write(2) return value on plock devices.
- Several infinite loops were fixed.
- gfs_controld now retries recovery for a withdrawn journal.
- apc_snmp fence agent has been added.
- Resolves: rhbz#455598 rhbz#455865 rhbz#362031 rhbz#443358 rhbz#442541 rhbz#315741 rhbz#456403 rhbz#450169 rhbz#444615 rhbz#446128 rhbz#444529 rhbz#442451 rhbz#438905

* Tue Apr 15 2008 Chris Feist <cfeist@redhat.com> - 2.0.84-1
- fence_node no longer always fails (and usually segfaults)
- Resolves: rhbz#441737

* Fri Mar 28 2008 Chris Feist <cfeist@redhat.com> - 2.0.83-1
- fence_apc_snmp fence agent is now installed
- Resolves: rhbz#438905

* Mon Mar 24 2008 Chris Feist <cfeist@redhat.com> - 2.0.81-1
- cman now starts correctly when additional params are given to network-bridge 
- fencde admin override now updates cman
- qdisk master abdication now works properly
- groupd no longer processes messages from dead nodes
- dlm no longer complains about closing a connection to node 0 when shutting
  down qdisk
- Resolves: rhbz#434790 rhbz#435189 rhbz#430264 rhbz#436984 rhbz#437496 rhbz#315711

* Thu Jan 24 2008 Chris Feist <cfeist@redhat.com> - 2.0.80-1
- gfs_tool now recognizes GFS files sytems on ppc
- Fixed alignment problem with ppc64
- Prevent "reservation conflict" messages when scsi_reserve starts.
- Leave the fence domain if scsi_reserve fails to register with any device.
- Improve logging in scsi_reserve script.
- Use "locking_type = 0" for all lvm commands (ie. vgs).
- Fix SCSI reservations scripts to handle LVM mirrors and stripes.
- Not an error if fence_scsi attempts to remove a non-existent key from a
  device.
- Resolves: rhbz#429633 rhbz#429546 rhbz#373491 rhbz#373511 rhbz#373541 rhbz#373571 rhbz#429033

* Mon Jan 21 2008 Chris Feist <cfeist@redhat.com> - 2.0.79-1
- Dumping of debug logs from daemons has been improved
- Plock performance has been improved
- ccs_tool now returns the proper exit status
- ccs lookup functions now recognize alternative hostnames better
- ccs_connect now fails properly when a non-root user calls it
- Endian issues which caused problems on multi-arch clusters were fixed
- Possible NULL pointer dereferences in cman were fixed
- Quorum is now properly reduced when a node leaves using
  "cman_tool leave remove"
- Resolves: rhbz#317181 rhbz#359271 rhbz#404451 rhbz#249781 rhbz#323711 rhbz#289501 rhbz#418741 rhbz#267441 rhbz#271701

* Thu Jan 03 2008 Chris Feist <cfeist@redhat.com> - 2.0.75-1
- Potential NULL pointer dereferences were removed.
- Correctly reduce quorum when a node leaves using "cman_tool leave remove"
- Quorum is now recalculated when cman has the new nodes expected_votes.
- Updated cman_tool man page
- Resolves: rhbz#323931 rhbz#317561 rhbz#327721

* Wed Sep 19 2007 Chris Feist <cfeist@redhat.com> - 2.0.73-1
- Devices can now be up to 255 characters long (up from 16).
- Resolves: rhbz#294351

* Fri Aug 17 2007 Chris Feist <cfeist@redhat.com> - 2.0.72-1
- Cluster name is now remembered if specified on the command line.
- Resolves: rhbz#250688

* Wed Aug 15 2007 Chris Feist <cfeist@redhat.com> - 2.0.71-1
- A memory leak was fixed in fence_xvmd.
- fence_egenera script no longer will fence a node during a crash dump.
- Resolves: rhbz#251358 rhbz#250152

* Fri Jul 13 2007 Chris Feist <cfeist@redhat.com> - 2.0.70-1
- Resolves: rhbz#238106

* Tue Jun 26 2007 Chris Feist <cfeist@redhat.com> - 2.0.68-1
- Rebuilt for new openais package

* Tue Mar 20 2007 Chris Feist <cfeist@redhat.com> - 2.0.61-1 
- Fixes issue with fence_xvm programs using key data
- Resolves: rhbz#231241

* Fri Feb 23 2007 Chris Feist <cfeist@redhat.com> - 2.0.60-2 
- Added Obsoletes for ccs, fence & dlm
- Resolves: rhbz#229822

* Tue Jan 23 2007 Chris Feist <cfeist@redhat.com> - 2.0.60-1
- fence_tool now times out after 300 seconds
- Resolves: rhbz#222933

* Tue Jan 16 2007 Chris Feist <cfeist@redhat.com> - 2.0.59-1
- New upstream sources
- Resolves: rhbz#222744 rhbz#222838 rhbz#222686  

* Mon Jan 15 2007 Chris Feist <cfeist@redhat.com> - 2.0.58-1
- New upstream sources
- Resolves: rhbz#221629  

* Thu Dec 21 2006 Chris Feist <cfeist@redhat.com> - 2.0.57-1
- New upstream sources
- Resolves: rhbz#218560  

* Mon Dec 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.56-1
- New upstream sources.
- Resolves: rhbz#218551

* Mon Dec 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.55-1
- New upstream sources.
- Resolves: rhbz#216954 rhbz#219878

* Fri Dec 15 2006 Chris Feist <cfeist@redhat.com> - 2.0.52-1
- New upstream sources.
- Resolves: rhbz#217724

* Thu Dec 14 2006 Chris Feist <cfeist@redhat.com> - 2.0.51-1
- New upstream sources.
- Resolves: rhbz#218688 rhbz#219385

* Tue Dec 05 2006 Chris Feist <cfeist@redhat.com> - 2.0.49-1
- New upstream sources.
- Resolves: rhbz#216052 rhbz#215962

* Tue Dec 05 2006 Chris Feist <cfeist@redhat.com> - 2.0.46-1
- New upstream sources.
- Resolves: rhbz#214540 rhbz#218103

* Wed Nov 29 2006 Chris Feist <cfeist@redhat.com> - 2.0.44-1
- New upstream sources.
- Resolves: rhbz#213878 rhbz#216902 rhbz#213763 rhbz#217436
- Resolves: rhbz#217460 rhbz#211836 rhbz#211918

* Mon Nov 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.38-1
- New upstream sources with fixes for fence_xvmd (bz #212474)

* Thu Nov 09 2006 Chris Feist <cfeist@redhat.com> - 2.0.35-2
- New upstream sources with join_timeout and consensus_timeout
  set to high defaults (bz #214290)

* Mon Nov 06 2006 Chris Feist <cfeist@redhat.com> - 2.0.34-1
- New upstream sources.

* Fri Nov 03 2006 Chris Feist <cfeist@redhat.com> - 2.0.33-2
- New upstream sources.

* Fri Oct 27 2006 Chris Feist <cfeist@redaht.com> - 2.0.30-3
- Create and own /etc/cluster (bz #212582)

* Wed Oct 25 2006 Chris Feist <cfeist@redhat.com> - 2.0.30-1
- New upstream sources.

* Mon Oct 23 2006 Chris Feist <cfeist@redhat.com> - 2.0.29-1
- New upstream sources.

* Wed Oct 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.28-4
- Build without xen deps.

* Mon Oct 16 2006 Chris Feist <cfeist@redhat.com> - 2.0.28-1
- New upstream sources

* Fri Oct 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.25-1
- New upstream sources

* Thu Oct 12 2006 Chris Feist <cfeist@redhat.com> - 2.0.23-2
- New upstream sources
- Fixed init scripts

* Tue Oct 10 2006 Chris Feist <cfeist@redhat.com> - 2.0.22-1
- New upstream sources

* Thu Oct 5 2006 Chris Feist <cfeist@redhat.com> - 2.0.21-1
- New upstream sources
- Build w/ xen deps for fence-xen

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 2.0.18-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 25 2006 Chris Feist <cfeist@redhat.com> - 2.0.18-1
- New upstream sources

* Tue Sep 19 2006 Chris Feist <cfeist@redhat.com> - 2.0.17-1
- New upstream sources

* Mon Sep 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.16-1
- New upstream sources

* Thu Sep 14 2006 Chris Feist <cfeist@redhat.com> - 2.0.15-1
- New upstream sources

* Wed Sep 13 2006 Peter Jones <pjones@redhat.com> - 2.0.14-4
- Don't activate the service by default, since it won't be configured

* Wed Sep 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.14-2
- Rebuild w/ new upstream sources
- Remove libxml deps

* Thu Aug 31 2006 Chris Feist <cfeist@redhat.com> - 2.0.13-1
- Rebuild w/ new upstream sources

* Fri Aug 25 2006 Chris Feist <cfeist@redhat.com> - 2.0.12-1
- Rebuild w/ new upstream sources

* Tue Aug 22 2006 Chris Feist <cfeist@redhat.com> - 2.0.11-1
- Rebuild w/ new upstream sources

* Wed Aug 16 2006 Chris Feist <cfeist@redhat.com> - 2.0.10-1
- Rebuild w/ new upstream sources

* Tue Aug 15 2006 Chris Feist <cfeist@redhat.com> - 2.0.9-0
- Rebuild w/ new upstream sources

* Fri Aug 11 2006 Chris Feist <cfeist@redhat.com> - 2.0.8-0
- Rebuild w/ new upstream sources

* Thu Aug 10 2006 Chris Feist <cfeist@redhat.com> - 2.0.7-0
- Rebuild w/ new upstream sources

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com>
- rebuild

* Thu Jul 06 2006 Chris Feist <cfeist@redhat.com> - 2.0.1-0.fc6.0
- Rebuild w/ new upstream sources

* Wed Mar 01 2006 Chris Feist <cfeist@redhat.com> - 2.0.0-0.fc6.4
- Rebuilt w/ new upstream sources

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.4-0.FC5.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Chris Feist <cfeist@redhat.com>
- Rebuilt w/ new upstream sources

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Jul 05 2005 Chris Feist <cfeist@redhat.com>
- Added libraries and cman-devel package

* Tue May 17 2005 Chris Feist <cfeist@redhat.com>
- Require cman-kernel-modules.

* Thu May 05 2005 Chris Feist <cfeist@redhat.com>
- Added patch to disable starting up the init scripts.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com>
- update the requirements field

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- various bug fixes (new upstream sources)
- add man pages

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- build for i386 and x86_64 only

* Tue Jul 13 2004 Jon Brassow <jbrassow@redhat.com> 
- New upstream sources

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
